CSIT-311 New Nightly CSIT perf job
[csit.git] / bootstrap-verify-perf.sh
index 5ea4277..826faaa 100755 (executable)
 set -x
 
 # Space separated list of available testbeds, described by topology files
-TOPOLOGIES="topologies/available/lf_testbed1-X710-X520.yaml \
-            topologies/available/lf_testbed2-X710-X520.yaml \
-            topologies/available/lf_testbed3-X710-X520.yaml"
+TOPOLOGIES="topologies/available/lf_testbed1.yaml \
+            topologies/available/lf_testbed2.yaml \
+            topologies/available/lf_testbed3.yaml"
 
-VPP_STABLE_VER="16.09-rc0~85-gc71c426~b252_amd64"
-VPP_REPO_URL="https://nexus.fd.io/content/repositories/fd.io.master.ubuntu.trusty.main/io/vpp/"
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+
+VPP_STABLE_VER=$(cat ${SCRIPT_DIR}/VPP_STABLE_VER)
+VPP_REPO_URL=$(cat ${SCRIPT_DIR}/VPP_REPO_URL)
 
 # Reservation dir
 RESERVATION_DIR="/tmp/reservation_dir"
 INSTALLATION_DIR="/tmp/install_dir"
 
-PYBOT_ARGS="--noncritical MULTI_THREAD"
+PYBOT_ARGS="-W 150 --noncritical PERFTEST"
 
 ARCHIVE_ARTIFACTS=(log.html output.xml report.html output_perf_data.xml)
 
@@ -43,7 +45,6 @@ then
     wget -q "${VPP_REPO_URL}/vpp-dpdk-dkms/${VPP_STABLE_VER}/vpp-dpdk-dkms-${VPP_STABLE_VER}.deb" || exit
     wget -q "${VPP_REPO_URL}/vpp-lib/${VPP_STABLE_VER}/vpp-lib-${VPP_STABLE_VER}.deb" || exit
     VPP_DEBS="$( readlink -f *.deb | tr '\n' ' ' )"
-    PYBOT_ARGS="${PYBOT_ARGS} --exitonfailure"
     cd ..
 
 # If we run this script from vpp project we want to use local build
@@ -57,9 +58,8 @@ else
     exit 1
 fi
 
-CUR_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
 WORKING_TOPOLOGY=""
-export PYTHONPATH=${CUR_DIR}
+export PYTHONPATH=${SCRIPT_DIR}
 
 sudo apt-get -y update
 sudo apt-get -y install libpython2.7-dev python-virtualenv
@@ -74,7 +74,7 @@ pip install -r requirements.txt
 while :; do
     for TOPOLOGY in ${TOPOLOGIES};
     do
-        python ${CUR_DIR}/resources/tools/topo_reservation.py -t ${TOPOLOGY}
+        python ${SCRIPT_DIR}/resources/tools/topo_reservation.py -t ${TOPOLOGY}
         if [ $? -eq 0 ]; then
             WORKING_TOPOLOGY=${TOPOLOGY}
             echo "Reserved: ${WORKING_TOPOLOGY}"
@@ -94,15 +94,15 @@ while :; do
 done
 
 function cancel_all {
-    python ${CUR_DIR}/resources/tools/topo_installation.py -c -d ${INSTALLATION_DIR} -t $1
-    python ${CUR_DIR}/resources/tools/topo_reservation.py -c -t $1
+    python ${SCRIPT_DIR}/resources/tools/topo_installation.py -c -d ${INSTALLATION_DIR} -t $1
+    python ${SCRIPT_DIR}/resources/tools/topo_reservation.py -c -t $1
 }
 
 # On script exit we cancel the reservation and installation and delete all vpp
 # packages
 trap "cancel_all ${WORKING_TOPOLOGY}" EXIT
 
-python ${CUR_DIR}/resources/tools/topo_installation.py -t ${WORKING_TOPOLOGY} \
+python ${SCRIPT_DIR}/resources/tools/topo_installation.py -t ${WORKING_TOPOLOGY} \
                                                        -d ${INSTALLATION_DIR} \
                                                        -p ${VPP_DEBS}
 if [ $? -eq 0 ]; then
@@ -118,6 +118,8 @@ case "$TEST_TAG" in
         pybot ${PYBOT_ARGS} \
               -L TRACE \
               -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+              -s "tests.perf" \
+              --exclude SKIP_PATCH \
               -i perftest_long \
               tests/
         RETURN_STATUS=$(echo $?)
@@ -126,6 +128,7 @@ case "$TEST_TAG" in
         pybot ${PYBOT_ARGS} \
               -L TRACE \
               -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+              -s "tests.perf" \
               -i perftest_short \
               tests/
         RETURN_STATUS=$(echo $?)
@@ -134,7 +137,7 @@ case "$TEST_TAG" in
         pybot ${PYBOT_ARGS} \
               -L TRACE \
               -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -s "performance.Long_Bridge_Domain*" \
+              -s "tests.perf.Long_Bridge_Domain*" \
               tests/
         RETURN_STATUS=$(echo $?)
         ;;
@@ -142,7 +145,7 @@ case "$TEST_TAG" in
         pybot ${PYBOT_ARGS} \
               -L TRACE \
               -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -s "performance.Long_IPv4*" \
+              -s "tests.perf.Long_IPv4*" \
               tests/
         RETURN_STATUS=$(echo $?)
         ;;
@@ -150,7 +153,7 @@ case "$TEST_TAG" in
         pybot ${PYBOT_ARGS} \
               -L TRACE \
               -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -s "performance.Long_IPv6*" \
+              -s "tests.perf.Long_IPv6*" \
               tests/
         RETURN_STATUS=$(echo $?)
         ;;
@@ -158,7 +161,7 @@ case "$TEST_TAG" in
         pybot ${PYBOT_ARGS} \
               -L TRACE \
               -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -s "performance.Long_Xconnect*" \
+              -s "tests.perf.Long_Xconnect*" \
               tests/
         RETURN_STATUS=$(echo $?)
         ;;
@@ -166,14 +169,14 @@ case "$TEST_TAG" in
         pybot ${PYBOT_ARGS} \
               -L TRACE \
               -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -s "performance.Long_Xconnect_Dot1q*" \
+              -s "tests.perf.Long_Xconnect_Dot1q*" \
         RETURN_STATUS=$(echo $?)
         ;;
     PERFTEST_NDR )
         pybot ${PYBOT_ARGS} \
               -L TRACE \
               -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -s performance -i NDR \
+              -s "tests.perf" -i NDR \
               tests/
         RETURN_STATUS=$(echo $?)
         ;;
@@ -181,7 +184,16 @@ case "$TEST_TAG" in
         pybot ${PYBOT_ARGS} \
               -L TRACE \
               -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -s performance -i PDR \
+              -s "tests.perf" -i PDR \
+              tests/
+        RETURN_STATUS=$(echo $?)
+        ;;
+   PERFTEST_NIGHTLY )
+        #run all available tests
+        pybot ${PYBOT_ARGS} \
+              -L TRACE \
+              -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+              -s "tests.perf" \
               tests/
         RETURN_STATUS=$(echo $?)
         ;;
@@ -190,7 +202,7 @@ case "$TEST_TAG" in
         pybot ${PYBOT_ARGS} \
               -L TRACE \
               -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -s performance \
+              -s "tests.perf" \
               tests/
         RETURN_STATUS=$(echo $?)
 esac
@@ -198,12 +210,12 @@ esac
 # Pybot output post-processing
 echo Post-processing test data...
 
-python ${CUR_DIR}/resources/tools/robot_output_parser.py \
-       -i ${CUR_DIR}/output.xml \
-       -o ${CUR_DIR}/output_perf_data.xml \
+python ${SCRIPT_DIR}/resources/tools/robot_output_parser.py \
+       -i ${SCRIPT_DIR}/output.xml \
+       -o ${SCRIPT_DIR}/output_perf_data.xml \
        -v ${VPP_STABLE_VER}
 if [ ! $? -eq 0 ]; then
-    echo "Parsing ${CUR_DIR}/output.xml failed"
+    echo "Parsing ${SCRIPT_DIR}/output.xml failed"
 fi
 
 # Archive artifacts